#ifndef YMSOUND_H
#define YMSOUND_H

/*
 * Include some standard vectrex functions first!
 */
#include <vectrex.h>

/*
 * The linker/assembler only supports labels up to 8 character
 * (after that it discards). I truncated the labels to take that
 * into account... but it's not so readable anymore...
 */
extern int ym_cdata;
void ym_sound(void);

void ym_init_(const void *data) /* 'C' callable init, sound data */
{                               /* as parameter */
  SET_U_REG(data);              /* set text address to reg U */
  ym_init();                    /* and call the asm init... */
}
#endif